Manifest-Version: 1.0
Bnd-LastModified: 1716391216793
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Dynamic Data Mapping API
Bundle-SymbolicName: com.liferay.dynamic.data.mapping.api
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 8.19.2.hotfix-8793-7310
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.dynamic.data.mapping.annotations;version="
 1.2.0.hotfix-8793-7310",com.liferay.dynamic.data.mapping.configuratio
 n;version="1.2.0.hotfix-8793-7310";uses:="aQute.bnd.annotation.metaty
 pe,com.liferay.portal.configuration.metatype.annotations",com.liferay
 .dynamic.data.mapping.constants;version="2.7.0.hotfix-8793-7310",com.
 liferay.dynamic.data.mapping.data.provider;version="3.1.0.hotfix-8793
 -7310";uses:="com.liferay.dynamic.data.mapping.annotations,com.lifera
 y.dynamic.data.mapping.model,com.liferay.dynamic.data.mapping.storage
 ,com.liferay.portal.kernel.exception,org.osgi.framework",com.liferay.
 dynamic.data.mapping.data.provider.configuration;version="1.1.0.hotfi
 x-8793-7310";uses:="aQute.bnd.annotation.metatype,com.liferay.portal.
 configuration.metatype.annotations",com.liferay.dynamic.data.mapping.
 data.provider.display;version="1.0.1.hotfix-8793-7310";uses:="com.lif
 eray.dynamic.data.mapping.util",com.liferay.dynamic.data.mapping.data
 .provider.settings;version="1.0.0.hotfix-8793-7310",com.liferay.dynam
 ic.data.mapping.exception;version="2.3.0.hotfix-8793-7310";uses:="com
 .liferay.portal.kernel.exception",com.liferay.dynamic.data.mapping.ex
 pression;version="3.1.0.hotfix-8793-7310";uses:="com.liferay.dynamic.
 data.mapping.expression.model,com.liferay.portal.kernel.exception",co
 m.liferay.dynamic.data.mapping.expression.model;version="1.2.0.hotfix
 -8793-7310",com.liferay.dynamic.data.mapping.form.builder.context;ver
 sion="1.0.1.hotfix-8793-7310";uses:="com.liferay.dynamic.data.mapping
 .model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 json,javax.servlet.http",com.liferay.dynamic.data.mapping.form.builde
 r.rule;version="1.0.0.hotfix-8793-7310";uses:="com.liferay.dynamic.da
 ta.mapping.model,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.json",com.liferay.dynamic.data.mapping.form.builder.setting
 s;version="1.0.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.ma
 pping.model,com.liferay.portal.kernel.json",com.liferay.dynamic.data.
 mapping.form.evaluator;version="3.3.0.hotfix-8793-7310";uses:="com.li
 feray.dynamic.data.mapping.model,com.liferay.dynamic.data.mapping.sto
 rage,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.js
 on",com.liferay.dynamic.data.mapping.form.field.type;version="1.8.1.h
 otfix-8793-7310";uses:="com.liferay.dynamic.data.mapping.annotations,
 com.liferay.dynamic.data.mapping.model,com.liferay.dynamic.data.mappi
 ng.render,com.liferay.dynamic.data.mapping.storage,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.template,javax.servlet.ht
 tp",com.liferay.dynamic.data.mapping.form.renderer;version="1.5.0.hot
 fix-8793-7310";uses:="com.liferay.dynamic.data.mapping.model,com.life
 ray.dynamic.data.mapping.storage,com.liferay.portal.kernel.exception,
 javax.servlet.http",com.liferay.dynamic.data.mapping.form.renderer.co
 nstants;version="1.0.0.hotfix-8793-7310",com.liferay.dynamic.data.map
 ping.form.values.factory;version="1.0.0.hotfix-8793-7310";uses:="com.
 liferay.dynamic.data.mapping.model,com.liferay.dynamic.data.mapping.s
 torage,javax.portlet,javax.servlet.http",com.liferay.dynamic.data.map
 ping.form.values.query;version="1.0.0.hotfix-8793-7310";uses:="com.li
 feray.dynamic.data.mapping.storage,com.liferay.portal.kernel.exceptio
 n",com.liferay.dynamic.data.mapping.info.display.field;version="1.0.0
 .hotfix-8793-7310";uses:="com.liferay.dynamic.data.mapping.kernel,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.model",com
 .liferay.dynamic.data.mapping.info.field.converter;version="1.0.0.hot
 fix-8793-7310";uses:="com.liferay.dynamic.data.mapping.model,com.life
 ray.info.field",com.liferay.dynamic.data.mapping.info.item.provider;v
 ersion="1.1.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.mappi
 ng.exception,com.liferay.dynamic.data.mapping.kernel,com.liferay.info
 .field,com.liferay.info.localized",com.liferay.dynamic.data.mapping.i
 o;version="2.2.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.ma
 pping.form.field.type,com.liferay.dynamic.data.mapping.model,com.life
 ray.dynamic.data.mapping.storage",com.liferay.dynamic.data.mapping.io
 .exporter;version="2.0.0.hotfix-8793-7310";uses:="com.liferay.dynamic
 .data.mapping.exception,com.liferay.dynamic.data.mapping.model,com.li
 feray.portal.kernel.util",com.liferay.dynamic.data.mapping.model;vers
 ion="4.6.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.mapping.
 annotations,com.liferay.dynamic.data.mapping.storage,com.liferay.expo
 rtimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.d
 sl.base,com.liferay.portal.kernel.annotation,com.liferay.portal.kerne
 l.bean,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 model,com.liferay.portal.kernel.model.change.tracking,com.liferay.por
 tal.kernel.model.wrapper,com.liferay.portal.kernel.theme,com.liferay.
 portal.kernel.util",com.liferay.dynamic.data.mapping.render;version="
 2.1.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.mapping.model
 ,com.liferay.dynamic.data.mapping.storage,com.liferay.portal.kernel.e
 xception,com.liferay.portal.kernel.util,javax.servlet.http",com.lifer
 ay.dynamic.data.mapping.report;version="1.1.0.hotfix-8793-7310";uses:
 ="com.liferay.dynamic.data.mapping.storage,com.liferay.portal.kernel.
 json",com.liferay.dynamic.data.mapping.security.permission;version="1
 .0.0.hotfix-8793-7310";uses:="com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.security.permission",com.liferay.dynamic.data.
 mapping.service;version="3.9.0.hotfix-8793-7310";uses:="com.liferay.d
 ynamic.data.mapping.exception,com.liferay.dynamic.data.mapping.model,
 com.liferay.dynamic.data.mapping.storage,com.liferay.exportimport.ker
 nel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,co
 m.liferay.portal.kernel.change.tracking,com.liferay.portal.kernel.dao
 .orm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.js
 onwebservice,com.liferay.portal.kernel.model,com.liferay.portal.kerne
 l.search,com.liferay.portal.kernel.security.access.control,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.change.trac
 king,com.liferay.portal.kernel.service.permission,com.liferay.portal.
 kernel.service.persistence.change.tracking,com.liferay.portal.kernel.
 systemevent,com.liferay.portal.kernel.transaction,com.liferay.portal.
 kernel.util",com.liferay.dynamic.data.mapping.service.persistence;ver
 sion="3.1.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.mapping
 .exception,com.liferay.dynamic.data.mapping.model,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.service.persistence,com.liferay.portal.kernel.service.persisten
 ce.change.tracking,com.liferay.portal.kernel.util",com.liferay.dynami
 c.data.mapping.storage;version="1.4.0.hotfix-8793-7310";uses:="com.li
 feray.dynamic.data.mapping.exception,com.liferay.dynamic.data.mapping
 .model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 service",com.liferay.dynamic.data.mapping.storage.constants;version="
 1.1.0.hotfix-8793-7310",com.liferay.dynamic.data.mapping.template;ver
 sion="1.0.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.mapping
 .model,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 template",com.liferay.dynamic.data.mapping.util;version="2.9.0.hotfix
 -8793-7310";uses:="com.liferay.dynamic.data.mapping.annotations,com.l
 iferay.dynamic.data.mapping.io,com.liferay.dynamic.data.mapping.kerne
 l,com.liferay.dynamic.data.mapping.model,com.liferay.dynamic.data.map
 ping.storage,com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 portlet,com.liferay.portal.kernel.repository.model,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.search.filter,com.liferay.po
 rtal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.porta
 l.kernel.util,com.liferay.portal.kernel.xml,com.liferay.portal.search
 .sort,javax.portlet,javax.servlet.http",com.liferay.dynamic.data.mapp
 ing.util.comparator;version="2.0.0.hotfix-8793-7310";uses:="com.lifer
 ay.dynamic.data.mapping.model,com.liferay.exportimport.kernel.lar,com
 .liferay.portal.kernel.util",com.liferay.dynamic.data.mapping.validat
 or;version="1.4.0.hotfix-8793-7310";uses:="com.liferay.dynamic.data.m
 apping.exception,com.liferay.dynamic.data.mapping.form.field.type,com
 .liferay.dynamic.data.mapping.model,com.liferay.dynamic.data.mapping.
 storage,com.liferay.portal.kernel.exception",com.liferay.dynamic.data
 .mapping.webdav;version="1.0.0.hotfix-8793-7310";uses:="com.liferay.d
 ynamic.data.mapping.model,com.liferay.portal.kernel.webdav"
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.document.library.kernel.service;version="3.6",com.liferay.document
 .library.kernel.util;version="2.0",com.liferay.dynamic.data.mapping.a
 nnotations;version="1.2",com.liferay.dynamic.data.mapping.data.provid
 er;version="3.1",com.liferay.dynamic.data.mapping.exception;version="
 2.3",com.liferay.dynamic.data.mapping.expression.model;version="1.2",
 com.liferay.dynamic.data.mapping.form.field.type;version="1.8",com.li
 feray.dynamic.data.mapping.io;version="2.2",com.liferay.dynamic.data.
 mapping.kernel;version="1.4",com.liferay.dynamic.data.mapping.model;v
 ersion="4.6",com.liferay.dynamic.data.mapping.render;version="2.1",co
 m.liferay.dynamic.data.mapping.service;version="3.9",com.liferay.dyna
 mic.data.mapping.storage;version="1.4",com.liferay.dynamic.data.mappi
 ng.storage.constants;version="1.1",com.liferay.dynamic.data.mapping.u
 til;version="2.9",com.liferay.exportimport.kernel.lar;version="3.4",c
 om.liferay.info.field;version="1.1",com.liferay.info.localized;versio
 n="1.1",com.liferay.osgi.service.tracker.collections.map;version="2.2
 ",com.liferay.osgi.util;version="2.3",com.liferay.petra.function;vers
 ion="1.4",com.liferay.petra.io.unsync;version="1.0",com.liferay.petra
 .lang;version="1.3",com.liferay.petra.sql.dsl;version="1.0",com.lifer
 ay.petra.sql.dsl.base;version="1.0",com.liferay.petra.sql.dsl.query;v
 ersion="1.0",com.liferay.petra.string;version="1.4",com.liferay.porta
 l.configuration.metatype.annotations;version="1.3",com.liferay.portal
 .kernel.annotation;version="7.0",com.liferay.portal.kernel.bean;versi
 on="8.0",com.liferay.portal.kernel.change.tracking;version="1.2",com.
 liferay.portal.kernel.dao.orm;version="9.7",com.liferay.portal.kernel
 .exception;version="9.5",com.liferay.portal.kernel.json;version="8.10
 ",com.liferay.portal.kernel.jsonwebservice;version="7.0",com.liferay.
 portal.kernel.language;version="8.3",com.liferay.portal.kernel.log;ve
 rsion="7.0",com.liferay.portal.kernel.mobile.device;version="9.0",com
 .liferay.portal.kernel.model;version="5.6",com.liferay.portal.kernel.
 model.change.tracking;version="1.0",com.liferay.portal.kernel.model.w
 rapper;version="1.1",com.liferay.portal.kernel.portlet;version="10.4"
 ,com.liferay.portal.kernel.repository.model;version="8.0",com.liferay
 .portal.kernel.resource.bundle;version="1.0",com.liferay.portal.kerne
 l.sanitizer;version="8.0",com.liferay.portal.kernel.search;version="9
 .6",com.liferay.portal.kernel.search.filter;version="1.0",com.liferay
 .portal.kernel.security.access.control;version="2.0",com.liferay.port
 al.kernel.security.permission;version="3.4",com.liferay.portal.kernel
 .service;version="4.16",com.liferay.portal.kernel.service.change.trac
 king;version="1.0",com.liferay.portal.kernel.service.permission;versi
 on="2.0",com.liferay.portal.kernel.service.persistence;version="6.6",
 com.liferay.portal.kernel.service.persistence.change.tracking;version
 ="1.3",com.liferay.portal.kernel.systemevent;version="6.2",com.lifera
 y.portal.kernel.template;version="9.1",com.liferay.portal.kernel.temp
 lateparser;version="7.1",com.liferay.portal.kernel.theme;version="3.1
 ",com.liferay.portal.kernel.transaction;version="8.1",com.liferay.por
 tal.kernel.util;version="10.28",com.liferay.portal.kernel.webdav;vers
 ion="8.0",com.liferay.portal.kernel.xml;version="7.0",com.liferay.por
 tal.search.sort;version="1.1",javax.portlet,javax.servlet.http,org.os
 gi.framework;version="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Dynamic Data Mapping
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: forms-and-workflow
Liferay-Releng-Suite-Description: Apps and Features: Calendar, Dynamic
  Data Lists, Dynamic Data Mapping, Forms, Polls, Workflow<br /><br />
 An increase in productivity means you're saving time and effort; youâ
 €™re becoming more efficient. The Forms and Workflow apps help you do
  that by giving you built-in calendars and the ability to create your
  own forms and list applications. These are powerful, flexible apps t
 hat can be quickly leveraged for basic tasks, or carefully configured
  and mastered to perfect business processes.<br /><br />Need a quick 
 survey or complex Sign Up form? Use the Liferay Forms app and make an
 y forms you want. If there's a forms feature you need, this app proba
 bly has it.<br /><br />Maybe you need an entire list application, and
  you need it today. Dynamic Data Lists lets you do it without any dev
 eloper expertise.<br /><br />Do you need personal calendars for your 
 users, and/or site calendars? Do you need the calendar to be highly c
 onfigurable? Use the Calendar app.<br /><br />Would you like to initi
 ate a review process when new content, or any new asset, is created? 
 The Kaleo Workflow Engine lets you send any asset through review befo
 re it gets published.<br /><br />Want to quickly get the opinion of y
 our users on something? The Polls app is extremely easy to use.<br />
 <br />This suite may contain modules that depend on Foundation suite 
 modules. This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Forms and Workflow
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.dynamic.data.mapping.expression.constants
Provide-Capability: liferay.resource.bundle;resource.bundle.aggregate=
 "(bundle.symbolic.name=com.liferay.dynamic.data.mapping.lang)";resour
 ce.bundle.base.name="content.Language",osgi.service;objectClass:List<
 String>="com.liferay.dynamic.data.mapping.data.provider.DDMDataProvid
 erTracker";uses:="com.liferay.dynamic.data.mapping.data.provider",osg
 i.service;objectClass:List<String>="com.liferay.dynamic.data.mapping.
 util.DDMDisplayRegistry";uses:="com.liferay.dynamic.data.mapping.util
 "
Require-Capability: osgi.extender;filter:="(&(osgi.extender=osgi.compo
 nent)(version>=1.3.0)(!(version>=2.0.0)))",osgi.service;filter:="(obj
 ectClass=com.liferay.dynamic.data.mapping.util.DDMDisplay)";effective
 :=active;resolution:=optional;cardinality:=multiple,osgi.contract;osg
 i.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version
 =3.0.0))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.co
 ntract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=Java
 SE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.dynamic.data.mapping.data.prov
 ider.DDMDataProviderTracker.xml,OSGI-INF/com.liferay.dynamic.data.map
 ping.util.DDMDisplayRegistry.xml
Tool: Bnd-4.3.0.201909301554

